GET /hotels
Operation ID: listHotels
Auth: unknown
Description
Returns a list of all hotels worldwide that can be booked through Impala. You can **filter** the results: * Adding `longitude`, `latitude` and a `radius` (in meters) query parameters will filter the results to hotels around this location. * Adding `start` and `end` dates (in ISO 8601 notation, e.g. `2021-12-31`) for the expected arrival and departure dates of your guests will limit the results to hotels that have at least one room bookable for this timeframe. * Adding `starRating`, `name` or `country` allows you to filter to hotels based on these values (e.g. `?starRating[gte]=4&name[like]=palace` for hotels with a rating of 4 or up with a name containing "palace") * Adding `hotelIds` allows you to limit the results to include only hotels with the ids listed. Its value should be a comma-separated list of hotel ids (e.g. `?hotelIds[]=hotelIdA,hotelIdB`) * Adding `contractable` allows you to filter to hotels that you can directly negotiate with through our [deals feature](https://docs.impala.travel/docs/booking-api/ZG9jOjcyNjgzMTA-contracting-with-hotels). (e.g `?contractable=true` or `?contractable=false`) You can specify the **sorting order** in which hotels are returned: * This is done by using the `sortBy` query parameter. * Results can be sorted by `name` alphabetically, star `rating` and `distance_m` (in meters from the specified latitude/longitude location). * The parameter allows for a comma-separated list of arguments with optional `:asc` (ascending, the default if the modifier is omitted) and `:desc` (descending) modifiers. If no hotels match your filter criteria, an empty array will be returned.
Parameters (14)
(object, query, optional)
Allows for filtering based on the country of a property. The only available modifier for this parameter is equal to (`eq`). Usage example: `?country[eq]=GBR`
(object, query, optional)
Allows for filtering based on the date and time when this hotel was first added to the Impala platform, in ISO 8601 format (e.g. `2020-11-04T17:37:37Z`) and UTC timezone. Available modifiers include less than (`lt`), greater than (`gt`), lower than or equal to (`lte`), greater than or equal to (`gte`) and equal to (`eq`). Usage example: `?created[lte]=2020-11-04T19:37:37Z&created[gte]=2020-11-04T15:56:37.000Z`
(string, query, optional)
The departure day of the desired stay range in ISO 8601 format (`YYYY-MM-DD`).
(array, query, optional)
A comma-separated list of hotel ids you wish to filter by (e.g. `60a06628-2c71-44bf-9685-efbd2df4179e,60a06628-2c71-44bf-9685-efbd2df4179e`).
(number, query, optional)
The WGS 84 latitude of the location to search around (e.g. `58.386186`).
Constraints: {'minimum': -90, 'maximum': 90}
(number, query, optional)
The WGS 84 longitude of the location to search around (e.g. `-9.952549`).
Constraints: {'minimum': -180, 'maximum': 180}
(object, query, optional)
Allows for filtering based on the property name. Available modifiers include equal to (`eq`) or case insensitive search (`like`). Usage example: `?name[like]=palace`
(number, query, optional, default: 0)
Offset from the first hotel in the result (for pagination).
(integer, query, optional)
The distance (in meters) to search around the specified location (e.g. `10000` for 10 km).
Constraints: {'minimum': 0}
(number, query, optional, default: 25)
Number of hotels returned on a given page (pagination).
Constraints: {'minimum': 1, 'maximum': 300}
(string, query, optional, default: createdAt:desc)
Order in which the results should be sorted. Currently allows you to sort by `name` (alphabetical), star `rating`, and `distance_m` in meters from the specified latitude/longitude. Allows for a comma-separated list of of arguments with modifiers for `:asc` (ascending) and `:desc` (descending) ordering.
(object, query, optional)
Allows for filtering based on the starRating of a property. Available modifiers include less than (`lt`), greater than (`gt`), less than or equal to (`lte`), greater than or equal to (`gte`) and equal to (`eq`). Usage example: `?starRating[gt]=3&starRating[lt]=5`
(string, query, optional)
The arrival day of the desired stay range in ISO 8601 format (`YYYY-MM-DD`).
(object, query, optional)
Allows for filtering based on the date and time the content of this hotel was last updated, in ISO 8601 format (e.g. `2020-11-04T17:37:37Z`) and UTC timezone. Available modifiers include less than (`lt`), greater than (`gt`), lower than or equal to (`lte`), greater than or equal to (`gte`) and equal to (`eq`). Usage example: `?updated[lte]=2020-11-04T19:37:37Z&updated[gte]=2020-11-04T15:56:37.000Z`
No probe data for this endpoint yet.